using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SK
{
    [Description("管控措施")]
    public class T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL_MEASURES : MesEntityBase
    {
        /// <summary>
        /// 明细
        /// </summary>
        [Description("明细")]
        [DataFieldForeignKey("Nav_DoubleDetail", "Nav_DoubleDetailMeasures")]
        public Guid DOUBLE_PREVENT_MECHANISM_DETAIL_ID { get; set; }

        /// <summary>
        /// 导航属性：明细
        /// </summary>
        [Description("导航属性：明细")]
        public T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL Nav_DoubleDetail { get; set; }
        /// <summary>
        /// 管控措施
        /// </summary>
        [Description("管控措施")]
        public string MEASURES_NAME { get; set; }

        [Description("应急处置")]
        public string EMERGENCY { get; set; }


        /// <summary>
        /// 顺序
        /// </summary>
        [Description("顺序")]
        public int? NUM { get; set; }

        /// <summary>
        /// 导航属性：检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        public ICollection<T_SK_DOUBLE_PREVENT_MECHANISM_DETAIL_MEASURES_CONTENT> Nav_DetailMeasureContents { get; set; }
    }
}
